> ## Documentation Index
> Fetch the complete documentation index at: https://api.livechatai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Q&A data-source

> **DEPRECATED:** This endpoint will be deprecated on August 1st, 2025. Please use the v1 API endpoints instead. Update Q&A data-source



## OpenAPI

````yaml put /api/aibot/data-source/qa
openapi: 3.0.1
info:
  title: LiveChatAi API Swagger
  description: >-
    Welcome to the developer hub for LiveChatAi. You'll find comprehensive
    guides and documentation to help you start working with LiveChatAi as
    quickly as possible. **NOTICE: All endpoints in this version are deprecated
    as of August 1st, 2025. Please migrate to v1 API endpoints.**
  version: '1.0'
servers:
  - url: https://app.livechatai.com/
security:
  - bearerAuth: []
paths:
  /api/aibot/data-source/qa:
    put:
      tags:
        - Data Source
      summary: Update Q&A data-source
      description: >-
        **DEPRECATED:** This endpoint will be deprecated on August 1st, 2025.
        Please use the v1 API endpoints instead. Update Q&A data-source
      requestBody:
        required: true
        description: Q&A data-source update details
        content:
          application/json:
            schema:
              type: object
              required:
                - id
                - question
                - answer
                - chatbotId
              properties:
                id:
                  type: string
                  example: q****************9ab2
                  description: Unique identifier of the Q&A data-source
                question:
                  type: string
                  example: What is the largest planet in our solar system?
                  description: Updated question for the Q&A data-source
                answer:
                  type: string
                  example: The largest planet in our solar system is Jupiter.
                  description: Updated answer for the Q&A data-source
                chatbotId:
                  type: string
                  example: c****************1cx4
                  description: Unique identifier of the chatbot
      responses:
        '200':
          description: Q&A data-source updated successfully
        '500':
          description: Internal server error occurred
      deprecated: true
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````